﻿using System.Windows;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Prism.UnityExtensions;

namespace HelloWorld
{
    // UnityBootstrapperクラスから継承する、Bootstrapperクラスの署名を更新します。
    class Bootstrapper : UnityBootstrapper
    {
         // Bootstrapperクラスで、CreateShellメソッドを上書きします。
        protected override DependencyObject CreateShell()
        {
            return this.Container.Resolve<Shell>();
        }

        // ブートストラッパー・クラスで、InitializeShellメソッドを上書します。
        protected override void InitializeShell()
        {
            base.InitializeShell();

            Application.Current.MainWindow = (Window)this.Shell;
            Application.Current.MainWindow.Show();
        }

        protected override void ConfigureModuleCatalog()
        {
            base.ConfigureModuleCatalog();

            ModuleCatalog moduleCatalog = (ModuleCatalog)this.ModuleCatalog;
            moduleCatalog.AddModule(typeof(HelloWorldModule.HelloWorldModule));
        }
    }
}
